package ApplyingChartTemplate;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.DBInfo;
import quadbase.ChartAPI.QbChart;

public class ApplyingChartTemplate extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ApplyingChartTemplate chart = new ApplyingChartTemplate();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doApplyingChartTemplate(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doApplyingChartTemplate(this));
	}

	Component doApplyingChartTemplate(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Template Location
		String templateLocation = "ApplyingChartTemplate.tpl";

		// Data Source
		DBInfo databaseInfo = new DBInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa",
				"",
				"SELECT Categories.CategoryName, Avg(Products.UnitPrice) AS Avg_Of_UnitPrice FROM Products, Categories WHERE (Products.CategoryID = Categories.CategoryID) GROUP BY Categories.CategoryName");

		// Column Mapping
		ColInfo columnMapping = new ColInfo();
		columnMapping.category = 0;
		columnMapping.value = 1;

		// Apply the template
		QbChart chart = new QbChart(parent, // container
				QbChart.VIEW2D, // chart dimension
				QbChart.BAR, // chart type
				databaseInfo, // data
				columnMapping, // column mapping
				templateLocation); // template

		// Show chart in Viewer
		return chart;
	}

}
